cancel
Showing results for 
Search instead for 
Did you mean: 

USB EZ-PD Type-C

Flance_Fang
New Contributor II

Hi. cypress

in my customer side, they use CYPD 3171 design in power bank and software is SDK3.1 ver. go to pp. you current find the an issue with apple 30W power adapter, need update the lib/CCG3pa/ libccgx_pd.a and libccgx_pd3.a at SDK3.2 ver.(sdk3.3 ver is lib/ccg3pa/libccgx_cablecomp.a,libccgx_pd.a;libccgx_pd_src.a;libccgx_pd3.a;libccgx_pd3_src.a). when I use the newly 3.2 lib and building it , it is appear issue as below pic:

微信图片_20191128114106.jpg

My question: 1) where can I look for the current SDK ver. information via psoc creator software?

2)How can I transfer from SDK3.1 to SDK3.2 or SDK3.3, whether do you have the document to intruduce it.

3)whether do you relese newly apple 30W lib base on SDK 3.1 ver. or not?

thanks

flance fang

0 Likes
1 Solution
YatheeshD_36
Moderator
Moderator

Hello,

We do not provide compatible library files for SDK 3.1. You need to make the necessary firmware changes in the new SDK version i.e. you will have to modify the application firmware files in the new SDK as per you older firmware files.

Best Regards,

Yatheesh

View solution in original post

0 Likes
8 Replies
YatheeshD_36
Moderator
Moderator

Hello Flance Fang,

1) You can check the current SDK version in the header file ccgx_version.h under system folder.

FW_MAJOR_VERSION and FW_MINOR_VERSION macros will state the SDK version.

2) Please refer to the release notes of the two SDK versions (version changes Section) to know what the changes that have been made.

  There are no documents for the same. Currently the latest version of Power SDK is version 3.3.

3) Can you please provide more details on the 30W library?

Best Regards,

Yatheesh

0 Likes
Flance_Fang
New Contributor II

Hi. Yatheesh

the primary customer SDK(hailin) as attachment, it is ok when building, in order to solve apple 30W power adapter, release the lib(3.2 and 3.3 lib) and let us cover as attachment!

whether do you help to generation 3.1 ver. apple lib too?

0 Likes
Flance_Fang
New Contributor II

Hi. Yatheesh

at the same time, I check the ref. SDK, the SDK is  base on  PB808(SDK3.1)  to modify. the PB808B is SDK 3.2.but customer have used PB808 to go to PP and MP ,so it only update lib. to support apple 30W.

pastedImage_0.png

0 Likes
YatheeshD_36
Moderator
Moderator

Hello,

Which SDK are you referring to?

If you are referring to the CYPD3171 PB SDK PB808 and PB808B, they use SDK 3.2.

Do you want to use SDK 3.1 for the same firmware?

Best Regards,

Yatheesh

0 Likes
Flance_Fang
New Contributor II

Hi. Yatheesh

we used primary ref. SDK version is SDK3.1 PB808 as attachment,  whether do you provide to update lib firmware to solve the compatibility issue with apple 30W power adater?

0 Likes
YatheeshD_36
Moderator
Moderator

Hello,

PB808 is based on SDK version 3.2. I understand that you have built your firmware using SDK version 3.1 and now you want to upgrade it to SDK version 3.2.

Please correct me if my understanding is wrong.

Best Regards,

Yatheesh

0 Likes
Flance_Fang
New Contributor II

Hi. Yatheesh

I only want to update libccgx_pd.a and libccgx_pd3.a  the lib in the hailin_ufp SDK to solve apple 30W adapter issue, but it appear issue when we use 3.3 and 3.2 apple zip file. would you help to provide right update file?customer also like to use the former 3.1 version once we would like to provide the same files.

thanks

flance fang

0 Likes
YatheeshD_36
Moderator
Moderator

Hello,

We do not provide compatible library files for SDK 3.1. You need to make the necessary firmware changes in the new SDK version i.e. you will have to modify the application firmware files in the new SDK as per you older firmware files.

Best Regards,

Yatheesh

View solution in original post

0 Likes